Subject: [PATCH] ARM: dts: Specify Odroid X2/U3 audio clock parents and rates

From: [email-masked] (Sylwester Nawrocki)
Date: Wed, 19 Nov 2014 16:40:57 +0100

On 07/10/14 03:51, Kukjin Kim wrote:
>> > On 10/09/14 16:43, Sylwester Nawrocki wrote:
>>> > > This ensures the core and the audio subsystem clocks are configured
>>> > > properly, as expected by the sound machine driver. These bits are
>>> > > missing to obtain proper audio sample rates in kernel v3.17, where
>>> > > audio support for Odroid X2/U3 was first added.
>>> > >
>>> > > Signed-off-by: Sylwester Nawrocki <[email-masked]>
>>> > > ---
>>> > > It would be good to have it applied as a fix for v3.17.
>> > 
>> > Anything happened to this patch ? I can't see it neither in Linus' nor
>> > -next tree. And we are already at 3.18 merge window.
>> > 
> Hi Sylwester,
> 
> Sorry about that. I'll queue this one into fixes for -3.18 and stable maybe
> +3.17 only if stable-3.17 is available...

Kukjin,

You didn't forget about this patch, did you ?
It's been over 2 months since I've sent it and sound on Odroid X2/U3
is still broken as it was then. Please send the patch upstream.

--
Thanks,
Sylwester